Package com.arthenica.ffmpegkit

## Interface ExecuteCallback

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ExecuteCallback

Callback function invoked when an asynchronous session ends running.

Session has either `SessionState.COMPLETED` or `SessionState.FAILED` state when the callback is invoked.

If it has `SessionState.COMPLETED` state, `ReturnCode` should be checked to see the execution result.

If `getState` returns `SessionState.FAILED` then `getFailStackTrace` should be used to get the failure reason.

      switch (session.getState()) {
          case COMPLETED: {
              ReturnCode returnCode = session.getReturnCode();
          } break;
          case FAILED: {
              String failStackTrace = session.getFailStackTrace();
          } break;
      }

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply​(Session session)` Called when an asynchronous session ends running.

### Method Detail

#### apply

    void apply​(Session session)

Called when an asynchronous session ends running.

Parameters:
  `session` - session